<div>
    <app-add-todo (todoAdd)="addTodo($event)"></app-add-todo>
    <div *ngIf="!enabled; else elseBlock">
        <button class="mt-2 mb-4 btn btn-danger" (click)="deleteAll()">Delete All</button>
        <button class="ms-3 mt-2 mb-4 btn btn-outline-danger" (click)="deleteAllCompleted()">Delete All Completed</button>
        <button class="ms-3 mt-2 mb-4 btn btn-outline-info" (click)="markAllAsDone()"> Mark All As done</button>
        <button class="ms-3 mt-2 mb-4 btn btn-info" (click)="completed()"> Completed</button>
        <button class="ms-3 mt-2 mb-4 btn btn-info" (click)="active()"> Active</button>
        <button class="ms-3 mt-2 mb-4 btn btn-warning" (click)="viewAll()">View All</button>
        <button class="ms-3 mt-2 mb-4 btn btn-primary" (click)="sortById()"> Sort By Id</button>
        <label class ="me-3 " for="Find">Find By Id</label>
        <input id= "Find" type="number" [(ngModel)]="findId"  [disabled]="enabled">
        <button [disabled]="enabled" class="ms-3 mt-2 mb-4 btn btn-primary" (click)="findById()"> Find</button>
    </div>
    
<div *ngIf="this.todos?.length===0; else elseBlock">No Todos to Display</div>
<ng-template #elseBlock>
    <div *ngFor = "let todo of todos">
        <app-todo-item [todo]="todo"(todoDelete)="deleteTodo($event)" (todoMark)="markTodo($event)" ></app-todo-item>
        
    </div>
</ng-template>

</div>
